#pragma once
#include "gamestate.h"
#include "Level.h"



class GSDone : public GameState
{

  public:

    Level                   m_Level;

    int                     m_NumTicks;
    int                     m_NumUfos;


    GSDone();
    virtual ~GSDone();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFixed();
    virtual void            UpdateFrame( const float ElapsedTime );

    virtual void            OnChar( int Char );
    virtual void            OnKeyDown( int Char );
    virtual void            OnMouse( int X, int Y, int Buttons );

};
